ipcRenderer.removeAllListeners();

ipcRenderer.on('reset-app', (event, arg) => {
    document.location = 'reset.html';
});

ipcRenderer.on('app-loader', (event, arg) => {
    func.loader();
});

ipcRenderer.on('import-card', (event, arg) => {
    // If card with same id already exist
    if (localStorage[arg.id]) {
        ipcRenderer.send('card-already-exist', arg.id);
    } else {
        // Add card on list
        const list = JSON.parse(localStorage.list);
        list.push(arg.id);
        localStorage.setItem('list', JSON.stringify(list));
        // Add list
        localStorage.setItem(arg.id, JSON.stringify(arg));
        // Refresh card
        ipcRenderer.send('refresh-card');
    }
});